Subject: Re: bug#40968: 28.0.50; (apply nil)

From: Stefan Kangas <[email-masked]>
Date: Wed, 6 May 2020 07:24:13 -0400

Pip Cet <[email-masked]> writes:

> Thanks. I disagree that it would be harder to understand, though: "the
> first argument is a function to call, the last argument is a list of
> arguments" is easy to understand when there are >= 2 arguments, but
> for a single argument they're in contradiction, aren't they? Indeed,
> I'd read Fapply's current docstring:

I have a feeling I'm missing something obvious here.  The current
function signature is:

   (apply FUNCTION &rest ARGUMENTS)

How would your proposal change that?

Best regards,
Stefan Kangas